#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

typedef NS_ENUM (NSInteger, CheckInStatus) {
	CheckInStatusInvalid,
	CheckInStatusNo,
	CheckInStatusYes,
};

typedef NS_ENUM (NSInteger, TicketStatus) {
	TicketStatusInvalid,
	TicketStatusOther,
	TicketStatusExpired,
	TicketStatusComing,
	TicketStatusNormal,
};

@interface CheckInActionHandler : NSObject
+ (void)updateStocks:(NSArray *)stocks toCheckIn:(BOOL)isCheckIn commit:(void (^)(NSString *message))commit;
+ (void)updateStocks:(NSArray *)stocks toCheckIn:(BOOL)isCheckIn commit:(void (^)(NSString *message))commit rollback:(void (^)(NSString *message))rollback;
+ (void)updateStocks:(NSArray *)stocks toCheckIn:(BOOL)isCheckIn blockStatus:(NSInteger)blockStatus commit:(void (^)(NSString *message))commit;
+ (void)updateStocks:(NSArray *)stocks toCheckIn:(BOOL)isCheckIn blockStatus:(NSInteger)blockStatus commit:(void (^)(NSString *message))commit rollback:(void (^)(NSString *message))rollback;
@end
